Package: org.codehaus.groovy.control

## [Java] Class ConfigurationException

- org.codehaus.groovy.control.ConfigurationException

- All Implemented Interfaces and Traits:
    GroovyExceptionInterface

      public class ConfigurationException
      extends RuntimeException
      implements GroovyExceptionInterface

  Thrown when configuration data is invalid.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Exception` | `cause` | Underlying configuration failure, if one is available.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConfigurationException(Exception cause)` Initializes the exception from a cause exception.
    `ConfigurationException(String message)` Initializes the exception with just a message.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Throwable` | `getCause()` Returns the causing exception, if available.
    `` | `public boolean` | `isFatal()` It's always fatal.
    `` | `public void` | `setFatal(boolean fatal)` Set fatal is just ignored.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected Exception cause

      Underlying configuration failure, if one is available.

  - ### Constructor Detail

    - #### public ConfigurationException(Exception cause)

      Initializes the exception from a cause exception.

    - #### public ConfigurationException(String message)

      Initializes the exception with just a message.

  - ### Method Detail

    - #### public Throwable getCause()

      Returns the causing exception, if available.

    - #### public boolean isFatal()

      It's always fatal.

    - #### public void setFatal(boolean fatal)

      Set fatal is just ignored.